.widget {
	@mixin column-item 1, 1.5em;

	& > .widget__inner > ul,
	& > ul {
		@mixin list-reset;

		margin: 0;
	}

	& a {
		color: var(--dark);

		&:hover {
			color: var(--primary);
		}
	}

	& img {
		max-width: 100%;
		height: auto;
	}
}

.widget.widget_text {
	& .textwidget {
		@mixin wysiwyg;

		& .gform_fields {
			@mixin list-reset;
		}
	}

	& .textwidget ul {
		@mixin list-reset;
	}
}

.widget__title {
	margin-bottom: 0.5em;
	text-transform: uppercase;
	font-weight: var(--font-bold);
}

.widget_codetot_widget_company_info,
.widget_archive,
.widget_nav_menu,
.widget_categories,
.widget_recent_entries {
	& ul {
		@mixin list-reset;

		& li {
			@mixin item-with-line var(--border);
		}

		& ul {
			margin-top: 0.25em;
			margin-left: 1em;
		}
	}
}

.widget_codetot_recent_posts,
.widget_codetot_related_posts,
.widget_recent_entries {
	& .post-date {
		display: block;
		font-size: 0.925rem;
		color: var(--dark);
		opacity: 0.75;
	}
}

.widget_recent_comments {
	& li {
		margin-top: 0.5em;
		padding-top: 0.5em;
		border-top: 1px dashed var(--border);

		&:first-child {
			margin-top: 0;
			padding-top: 0;
			border-top: 0;
		}
	}

	& a {
		text-decoration: underline;
	}

	& .comment-author-link {
		font-weight: var(--font-bold);

		& a {
			text-decoration: none;
		}
	}
}

.widget_calendar {
	& .wp-calendar-table {
		border: 1px solid var(--border);

		& caption {
			@mixin label-text;

			padding: 0.25em 1em;
			border: 1px solid var(--border);
			border-bottom: 0;
		}

		& thead {
			& th {
				padding: 2px;
				background: var(--light);
			}
		}

		& tbody {
			& td {
				padding: 2px;
				text-align: center;
			}
		}
	}
}

.widget_media_gallery {
	& .gallery {
		display: flex;
		flex-wrap: wrap;
	}

	& .gallery-icon {
		padding: 0.25em 0.25em 0 0.25em;

		& a {
			display: block;
		}
	}

	& .gallery-columns-2 {
		& .gallery-item {
			@mixin column-item 2, 0;
		}
	}

	& .gallery-columns-3 {
		& .gallery-item {
			@mixin column-item 3, 0;
		}
	}

	& .gallery-columns-4 {
		& .gallery-item {
			@mixin column-item 4, 0;
		}
	}
}

.widget--topbar {
	width: auto;
	margin-top: 0;

	& + .widget--topbar {
		margin-left: 10px;
	}

	& .widget__title {
		display: none;
	}

	&.widget_text {
		& .textwidget {
			& ul,
			& ol,
			& blockquote,
			& p {
				margin: 0;
			}
		}
	}

	&.widget_nav_menu,
	&.widget_categories,
	&.widget_recent_entries {
		& ul {
			& li {
				margin-top: 0;
				padding-top: 0;
				border: 0;

				&:first-child {
					margin-top: 0;
					padding-top: 0;
					border: 0;
				}
			}
		}
	}

	& ul {
		display: block;

		& li {
			display: inline-block;
			margin-right: 10px;

			&:last-child {
				margin-right: 0;
			}
		}
	}
}

.widget_codetot_recent_posts,
.widget_codetot_related_posts {
	& .image-placeholder,
	& .widget__post-image {
		@mixin ratio 1/1;

		width: 100%;
		transition: transform 0.3s;
	}

	& .widget__item-wrapper {
		align-items: flex-start;
	}

	& .widget__item-title-link {
		line-height: 1.45;
	}

	& .widget__image-link {
		width: 75px;
		overflow: hidden;

		@media (--m) {
			&:hover {
				& .image-placeholder,
				& .widget__post-image {
					transform: scale(1.1);
				}
			}
		}
	}

	& .widget__content {
		flex: 1 1 0;
		padding-left: 10px;
	}

	& .widget__item {
		@mixin item-with-line var(--border);
	}
}

.widget_codetot_widget_company_info {
	& ul {
		@mixin list-reset;
	}

	& .widget__link,
	& li {
		display: flex;
		width: 100%;
	}

	& .widget__link {
		&:hover {
			@media (--m) {
				color: var(--primary);
			}
		}
	}

	& .widget__icon {
		@mixin icon 24px;

		opacity: 0.85;
	}

	& .widget__content {
		flex: 1 1 0;
		padding-left: 10px;
	}

	&.widget--dark-theme {
		& p,
		& ul,
		& li,
		& a {
			color: var(--white);
		}

		& a {
			&:hover {
				@media (--m) {
					color: var(--white);
				}
			}
		}

		& .widget__icon svg {
			stroke: var(--white);
		}

		& li {
			border-top: 1px solid rgba(255, 255, 255, 0.1);
		}

		& .widget__item--zalo {
			& svg {
				stroke: none;

				& path {
					fill: var(--white);
				}
			}
		}
	}
}
